#include <Sipeed_ST7789.h>

SPIClass lcd_spi(SPI0); // MUST be SPI0 for Maix series on board LCD
Sipeed_ST7789 lcd(320, 240, lcd_spi);

// the setup function runs once when you press reset or power the board
void setup() {
  lcd.begin(15000000, COLOR_RED);    
  lcd.setRotation(2);
  lcd.setTextSize(2);
  lcd.setTextColor(COLOR_WHITE);
  lcd.println("initializing pins");
  // initialize all pin's as an input with pullup:
  for (byte i = 0; i < 20; i++)
    {
    pinMode (i, INPUT_PULLUP);
    }
  lcd.fillScreen(COLOR_BLACK);
  lcd.setCursor(80,5);
  lcd.print("www.cxem.net");
}

// the loop function runs over and over again forever
void loop() {
  byte n = 0;
  bool pin_level;
  for (int h = 50; h < 210; h+=50) {
    for (int w = 40; w < 290; w+=60) {
      // read the level of the pin:
      pin_level = digitalRead (n);
      if (pin_level) {
        lcd.fillCircle(w, h, 20, COLOR_RED);
      }
      else {lcd.fillCircle(w, h, 20, COLOR_BLUE);
      }
      lcd.setCursor(w-10,h-10);
      lcd.print(n);
      n++;
      }
    }
}
