#include <Sipeed_ST7789.h>

SPIClass lcd_spi(SPI0); // MUST be SPI0 for Maix series on board LCD
Sipeed_ST7789 lcd(320, 240, lcd_spi);

// the setup function runs once when you press reset or power the board
void setup() {
  lcd.begin(15000000, COLOR_RED);    
  lcd.setRotation(2);
  lcd.setTextSize(2);
  lcd.setTextColor(COLOR_WHITE);
  lcd.println("initializing pins");
  
  // initialize all digital pin's as an output with pullup:
  for (byte i = 0; i < 15; i++)
    {
    pinMode (i, OUTPUT);
    }

  // set the resolution of the analogWrite() function to the 32 bits:
  analogWriteResolution(12);
  
  lcd.fillScreen(COLOR_BLACK);
  lcd.setCursor(80,5);
  lcd.print("www.cxem.net");
  
  byte pinNum = 0;
  int pin_level = 15;          // duty = 15%
  for (int h = 40; h < 240; h+=50) {
    for (int w = 45; w < 250; w+=65) {
      // write the level to the pin:
      analogWrite(pinNum, 4095/100*pin_level);
      lcd.fillRect(w, h, 42, 28, COLOR_BLUE);
      lcd.setCursor(w+4, h+8);
      lcd.print(pin_level);
      lcd.print("%");
      pinNum++;
      pin_level+=5;           // increase duty 5%
      }
    }
}

// the loop function runs over and over again forever
void loop() {
}
