
import network, lcd, image, utime
from Maix import GPIO
from fpioa_manager import *

# IO map for ESP32 on Maixduino
fm.register(25,fm.fpioa.GPIOHS10, force=True)#cs
fm.register(8,fm.fpioa.GPIOHS11, force=True)#rst
fm.register(9,fm.fpioa.GPIOHS12, force=True)#rdy
fm.register(28,fm.fpioa.GPIOHS13, force=True)#mosi
fm.register(26,fm.fpioa.GPIOHS16, force=True)#miso
fm.register(27,fm.fpioa.GPIOHS17, force=True)#sclk

nic = network.ESP32_SPI(cs=fm.fpioa.GPIOHS10,rst=fm.fpioa.GPIOHS11,rdy=fm.fpioa.GPIOHS12,
mosi=fm.fpioa.GPIOHS13,miso=fm.fpioa.GPIOHS16,sclk=fm.fpioa.GPIOHS17)

lcd.init()

screen = image.Image(size=(lcd.width(), lcd.height()))
screen.draw_rectangle((0, 0, lcd.width(), lcd.height()), fill=True, color=(11, 99, 11))
info = "www.cxem.net"
screen.draw_string(int(lcd.width()//2 - len(info) * 5), (lcd.height())//4, info, color=(255, 255, 255), scale=2, mono_space=0)
lcd.display(screen)

while True:

    # get ADC
    ADC = nic.adc()
    # calculate and show ADC5
    ADC5 = ADC[-1]*3.3/4095
    ADC5 = round(ADC5, 1)
    Voltage = ('ADC5 Value = %s V' % ADC5)
    print(Voltage)

    screen.draw_rectangle((0, 0, lcd.width(), lcd.height()), fill=True, color=(11, 99, 11))
    screen.draw_string(int(lcd.width()//2 - len(info) * 5), (lcd.height())//4, info, color=(255, 255, 255), scale=2, mono_space=0)
    screen.draw_string(int(lcd.width()//2 - len(Voltage) * 5), (lcd.height())//2, Voltage, color=(255, 255, 255), scale=2, mono_space=0)
    lcd.display(screen)

    utime.sleep_ms(200)
